/**
 * CONSTANTS used through the entire application.
 */
const API_URL = process.env.REACT_APP_API_URL || '';
const PAGE_SIZE_INCREASE_VALUE = parseInt(process.env.REACT_APP_PAGE_SIZE_INCREASE_VALUE) || 25;
const QUERY_MIN_LENGTH = parseInt(process.env.REACT_APP_QUERY_MIN_LENGTH) || 3;
const REQUEST_TIMEOUT = parseInt(process.env.REACT_APP_REQUEST_TIMEOUT) || 30000;
const TYPES_MIN_SELECTED = parseInt(process.env.REACT_APP_TYPES_MIN_SELECTED) || 1;
var LINEAGE_TYPES;
(function (LINEAGE_TYPES) {
    LINEAGE_TYPES["END_TO_END"] = "end-to-end";
    LINEAGE_TYPES["VERTICAL_LINEAGE"] = "vertical-lineage";
    LINEAGE_TYPES["ULTIMATE_SOURCE"] = "ultimate-source";
    LINEAGE_TYPES["ULTIMATE_DESTINATION"] = "ultimate-destination";
})(LINEAGE_TYPES || (LINEAGE_TYPES = {}));
var VISIBLE_COMPONENTS;
(function (VISIBLE_COMPONENTS) {
    VISIBLE_COMPONENTS["ABOUT"] = "about";
    VISIBLE_COMPONENTS["ASSET_CATALOG"] = "asset-catalog";
    VISIBLE_COMPONENTS["ASSET_DETAILS"] = "asset-details";
    VISIBLE_COMPONENTS["ASSETS_DETAILS_PRINT"] = "asset-details-print";
    VISIBLE_COMPONENTS["ASSET_LINEAGE"] = "asset-lineage";
    VISIBLE_COMPONENTS["ASSET_LINEAGE_PRINT"] = "asset-lineage-print";
    VISIBLE_COMPONENTS["END_TO_END"] = "end-to-end";
    VISIBLE_COMPONENTS["GLOSSARY"] = "glossary";
    VISIBLE_COMPONENTS["REPOSITORY_EXPLORER"] = "repository-explorer";
    VISIBLE_COMPONENTS["TYPE_EXPLORER"] = "type-explorer";
    VISIBLE_COMPONENTS["ULTIMATE_SOURCE"] = "ultimate-source";
    VISIBLE_COMPONENTS["ULTIMATE_DESTINATION"] = "ultimate-destination";
    VISIBLE_COMPONENTS["VERTICAL_LINEAGE"] = "vertical-lineage";
})(VISIBLE_COMPONENTS || (VISIBLE_COMPONENTS = {}));
export { API_URL, LINEAGE_TYPES, PAGE_SIZE_INCREASE_VALUE, QUERY_MIN_LENGTH, REQUEST_TIMEOUT, TYPES_MIN_SELECTED, VISIBLE_COMPONENTS };
