/**
 * CONSTANTS used through the entire application.
 */
declare const API_URL: string;
declare const PAGE_SIZE_INCREASE_VALUE: number;
declare const QUERY_MIN_LENGTH: number;
declare const REQUEST_TIMEOUT: number;
declare const TYPES_MIN_SELECTED: number;
declare enum LINEAGE_TYPES {
    END_TO_END = "end-to-end",
    VERTICAL_LINEAGE = "vertical-lineage",
    ULTIMATE_SOURCE = "ultimate-source",
    ULTIMATE_DESTINATION = "ultimate-destination"
}
declare enum VISIBLE_COMPONENTS {
    ABOUT = "about",
    ASSET_CATALOG = "asset-catalog",
    ASSET_DETAILS = "asset-details",
    ASSETS_DETAILS_PRINT = "asset-details-print",
    ASSET_LINEAGE = "asset-lineage",
    ASSET_LINEAGE_PRINT = "asset-lineage-print",
    END_TO_END = "end-to-end",
    GLOSSARY = "glossary",
    REPOSITORY_EXPLORER = "repository-explorer",
    TYPE_EXPLORER = "type-explorer",
    ULTIMATE_SOURCE = "ultimate-source",
    ULTIMATE_DESTINATION = "ultimate-destination",
    VERTICAL_LINEAGE = "vertical-lineage"
}
export { API_URL, LINEAGE_TYPES, PAGE_SIZE_INCREASE_VALUE, QUERY_MIN_LENGTH, REQUEST_TIMEOUT, TYPES_MIN_SELECTED, VISIBLE_COMPONENTS };
